var http = require("../../utils/http.js");

Page({

  /**
   * 页面的初始数据
   */
  data: {
    shopid: 1,
    content: '',
    pic: '',
    title: '',

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    //加载分销员推广
    // console.log(decodeURIComponent(options.scene))
    this.setData({
      scene: options.scene
    })
    this.getClaimerList(this.data.shopid)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  },
  /**
   * 查看
   */
  getClaimerList: function(shopid) {

    //wx.showLoading();
    var params = {
      url: "/p/distribution/recruit/info",
      method: "GET",
      // data: {
      //   shopId:shopid,
      // },
      callBack: (res) => {
        this.setData({
          content: res.content,
          pic: res.pic,
          title: res.title,
        })
        //设置标题
        wx.setNavigationBarTitle({
          title: res.title,
        })
      }
    };
    http.request(params);
  },

  onApplyDist: function() {
    // console.log(this.data.scene)
    if (this.data.scene) {
      wx.navigateTo({
        url: '/pages/applyDistCon/applyDistCon?scene=' + this.data.scene,
      })
    } else {
      wx.navigateTo({
        url: '/pages/applyDistCon/applyDistCon',
      })
    }

  }

})